/* style.css */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Trebuchet MS", Trebuchet, Arial, sans-serif;
    background-color: #3b3f45;
    color: white;
}

.wrapper {
    width: 800px;
    margin: 30px auto;
    border: 20px solid white;
}

/* HEADER */

.header {
    background-color: #4a4f56;
    text-align: center;
    padding: 25px 0;
}

.header h1 {
    color: #eb7e7f;
    margin-bottom: 10px;
}

.header p {
    color: #eb7e7f;
    font-size: 20px;
}

/* LIST */

.shopping-list {
    list-style: none;
}

.shopping-list li {
    transition: all .1s ease-in;
}

/* zebra */

.shopping-list li:nth-child(odd) {
    background-color: #88839e;
}

.shopping-list li:nth-child(even) {
    background-color: #7a7593;
}

/* hover */

.shopping-list li:hover {
    background-color: #625e77;
    border-top: 3px solid white;
    border-bottom: 3px solid white;
}

.shopping-list li:hover label {
    padding-left: 25px;
}

/* active */

.shopping-list li:active {
    background-color: #eb7e7f;
}

/* label */

label {
    display: block;
    padding: 18px;
    cursor: pointer;
    transition: all .1s ease-in;
}

/* checkbox */

input[type="checkbox"] {
    width: 20px;
    height: 20px;
    margin-right: 15px;
    vertical-align: middle;
}

/* checked */

input[type="checkbox"]:checked + .item {
    color: #b8b8b8;
}

input[type="checkbox"]:checked + .item {
    text-decoration: line-through;
}

input[type="checkbox"]:checked + .item .note {
    color: #b8b8b8;
}

/* text */

.item {
    font-size: 28px;
    vertical-align: middle;
}

/* note */

.note {
    text-decoration: none;
}

/* before & after */

.note::before {
    content: " (";
}

.note::after {
    content: ")";
}

/* FOOTER */

.footer {
    background-color: #4a4f56;
    text-align: center;
    padding: 20px;
    margin-top: 40px;
}

.footer p {
    color: #eb7e7f;
    font-size: 24px;
}

/* selector neighbors + */

input[type="checkbox"]:checked + .item .note {
    color: #9b9b9b;
}